/*!
    \projectile.h
  *  a projectile, that is been shooted by a weapon
*/

#ifndef _TEST_BULLET_H
#define _TEST_BULLET_H

#include "projectile.h"

class Vector;
class Weapon;

class TestBullet : public Projectile
{
 public:
  TestBullet (Weapon* weapon);
  virtual ~TestBullet ();

  virtual void destroy ();

  virtual void tick (float time);
  virtual void draw ();

};

#endif /* _TEST_BULLET_H */
